//shader pour WarTemple par Eric Lessard
////////////////////////////////////////
//Textures d'quipe bleue/rouge :
textures/el_wartemple/galvanizerbleue
{
    q3map_lightimage textures/el_wartemple/galvanizerbleue.tga
    qer_editorimage textures/el_wartemple/galvanizerbleue.tga
    q3map_surfacelight 2200
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_wartemple/galvanizerbleue.tga
        blendFunc GL_ZERO GL_SRC_COLOR
        rgbGen identity
        tcMod scroll -0.5 -0.25
    }
    {
        map textures/el_wartemple/galvanizerbleue.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0.5 0.25
    }
    {
        map textures/el_wartemple/galvanizerbleue.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/el_wartemple/galvanizerrouge
{
    q3map_lightimage textures/el_wartemple/galvanizerrouge.tga
    qer_editorimage textures/el_wartemple/galvanizerrouge.tga
    q3map_surfacelight 2200
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_wartemple/galvanizerrouge.tga
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcMod scroll 0.5 0.25
    }
    {
        map textures/el_wartemple/galvanizerrouge.tga
        blendFunc GL_ZERO GL_SRC_COLOR
        tcMod scroll -0.5 -0.25
    }
    {
        map textures/el_wartemple/galvanizerrouge.tga
        blendFunc GL_ONE GL_ONE
    }
}

/////////////////////////////////////
//FOGS:
textures/el_wartemple/wt_fog
{
    qer_editorimage textures/borg/fog.tga
    qer_nocarve
    surfaceparm fog
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    cull back
    fogparms ( 1 0.5 0 ) 64
}

textures/el_wartemple/wt_fog2
{
    qer_editorimage textures/borg/fog.tga
    qer_nocarve
    surfaceparm fog
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    cull back
    fogparms ( 0.375 0.175 0.25 ) 64
}

/////////////////////////////////////
//Liquide
textures/el_wartemple/liquide
{
    qer_editorimage textures/el_wartemple/wt_verre.tga
    qer_nocarve
    qer_trans 0.25
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm water
    surfaceparm pointlight
    deformVertexes wave 25 sin 0 0.25 0 0.18
    tessSize 53
    cull disable
    sort 8
    {
        map textures/el_wartemple/wt_verre.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.02 -0.03
    }
    {
        map textures/el_wartemple/wt_verre.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.04 0.045
    }
}

//////////////////////////////////////
//Verre:
textures/el_wartemple/verre_nolightmap
{
    qer_editorimage textures/el_wartemple/wt_verre.tga
    qer_trans 0.5
    surfaceparm nolightmap
    surfaceparm trans
    tessSize 48
    {
        map textures/el_wartemple/wt_verre.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
    {
        map textures/el_wartemple/wt_verre.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

//////////////////////////////////////
//Sons:
textures/el_wartemple/vieuxfer
{
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_wartemple/vieuxfer.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_wartemple/laitonold2
{
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_wartemple/laitonold2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

////////////////////////////////////////
//Crystal
textures/el_wartemple/wt_crystal
{
    q3map_surfacelight 2200
    surfaceparm nolightmap
    {
        map textures/el_wartemple/wt_crystal.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
        tcMod scale 6 6
    }
}

///////////////////////////////////////
//WARTEMPLE SKYBOX avec textures du jeux
textures/el_wartemple/wt_skybox
{
    q3map_lightimage textures/holodeck_temple/lightcyan.tga
    qer_editorimage textures/common/sky.tga
    q3map_surfacelight 2200
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sun 1 1 1 175 65 45
    skyParms env/stars 512 -
    {
        map textures/holodeck_temple/clouds.tga
        blendFunc GL_ONE GL_ONE
        tcMod scale 4 4
        tcMod scroll 0.015 0.01
    }
    {
        map textures/holodeck_temple/clouds2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcMod scale 3 3
        tcMod scroll 0.005 0.025
    }
}

////////////////////////////////////////
//animation bleue/rouge
textures/el_wartemple/WT_anim1
{
    q3map_lightimage textures/holodeck_temple/lightcyan.tga
    qer_editorimage textures/el_wartemple/galvanizerbleue.tga
    q3map_surfacelight 2200
    {
        map $lightmap
        rgbGen identity
    }
    {
        animMap 1.5 textures/el_wartemple/galvanizerbleue.tga textures/el_wartemple/galvanizerrouge.tga textures/el_wartemple/galvanizerbleue.tga textures/el_wartemple/galvanizerrouge.tga 
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcMod scroll 0 0.5
    }
}

////////////////////////////////////////////
//Lumires
textures/el_wartemple/wt_lumorang
{
    q3map_lightimage textures/el_wartemple/bois6.tga
    qer_editorimage textures/el_wartemple/laitonold2.tga
    q3map_surfacelight 20000
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_wartemple/laitonold2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_wartemple/laitonold2.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/el_wartemple/wt_lumgris
{
    q3map_lightimage textures/el_wartemple/cimentstrait.tga
    qer_editorimage textures/el_wartemple/cimentstrait.tga
    q3map_surfacelight 2200
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_wartemple/cimentstrait.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_wartemple/cimentstrait.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/el_wartemple/wt_lumjaune
{
    q3map_lightimage textures/el_wartemple/laitonold2.tga
    qer_editorimage textures/el_wartemple/laitonold2.tga
    q3map_surfacelight 2200
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_wartemple/laitonold2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_wartemple/laitonold2.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/el_wartemple/wt_lumgris2
{
    q3map_lightimage textures/el_wartemple/terrazzo1.tga
    qer_editorimage textures/el_wartemple/cimentstrait.tga
    q3map_surfacelight 4400
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_wartemple/cimentstrait.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_wartemple/cimentstrait.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/el_wartemple/wt_lumbleue
{
    q3map_lightimage textures/el_wartemple/galvanizerbleue.tga
    qer_editorimage textures/el_wartemple/cimentstrait.tga
    q3map_surfacelight 2200
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_wartemple/cimentstrait.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_wartemple/cimentstrait.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/el_wartemple/wt_lumrouge
{
    q3map_lightimage textures/el_wartemple/galvanizerrouge.tga
    qer_editorimage textures/el_wartemple/cimentstrait.tga
    q3map_surfacelight 2200
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_wartemple/cimentstrait.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_wartemple/cimentstrait.tga
        blendFunc GL_ONE GL_ONE
    }
}



////////////////////////////////////
//Telepad/Jumppad
textures/el_wartemple/WT_telepad
{
    qer_editorimage textures/el_wartemple/laitonold2.tga
    surfaceparm metalsteps
    q3map_surfacelight 2000
    {
        map $lightmap
        rgbGen identity
        animMap 2.75 textures/el_wartemple/laitonold2.tga textures/el_wartemple/vieuxfer.tga textures/el_wartemple/laitonold2.tga textures/el_wartemple/vieuxfer.tga 
    }
}

//////////////////////////////////
//Force Field
textures/el_wartemple/wt_ff
{
    qer_editorimage textures/el_wartemple/wt_verre.tga
    qer_nocarve
    qer_trans 0.5
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    cull disable
    {
        map textures/el_wartemple/wt_verre.tga
        blendFunc GL_ONE GL_ONE
        tcMod turb 0 0.1 0.1 0.1
        tcMod scroll 0 0.02
    }
}

//LA FIN
